Subject: Re: Why not clone to a remote directory over SSH

From: Nick Hengeveld <[email-masked]>
Date: Wed, 23 Nov 2005 15:28:29 -0800

On Thu, Nov 24, 2005 at 12:15:02AM +0100, Andreas Ericsson wrote:

> You'll still need to install at least git-init-db and git-receive-pack 
> (and git-merge, and...), even if they're run through commands from the 
> web. That's pretty special intelligence.

If the server is DAV-enabled, a local git-init-db could use HTTP to
create an empty remote repository, and git-http-push can already send
local changes including merges etc. to such a remote repository.

Want to host your project using GIT?  Just use your .Mac iDisk.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.